[ARVADOS-DEV] updated: 3030948db0864b9339a1248c20e46978917ff2f2

git at public.curoverse.com git at public.curoverse.com
Fri Nov 6 00:45:16 EST 2015


Summary of changes:
 jenkins/run-tests.sh | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

  discards  df2909cca7fca217a5342e5e1128ec5cccbfa1c2 (commit)
       via  3030948db0864b9339a1248c20e46978917ff2f2 (commit)

This update added new revisions after undoing existing revisions.  That is
to say, the old revision is not a strict subset of the new revision.  This
situation occurs when you --force push a change and generate a repository
containing something like this:

 * -- * -- B -- O -- O -- O (df2909cca7fca217a5342e5e1128ec5cccbfa1c2)
            \
             N -- N -- N (3030948db0864b9339a1248c20e46978917ff2f2)

When this happens we assume that you've already had alert emails for all
of the O revisions, and so we here report only the revisions in the N
branch from the common base, B.

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 3030948db0864b9339a1248c20e46978917ff2f2
Author: Tom Clegg <tom at curoverse.com>
Date:   Fri Nov 6 00:41:00 2015 -0500

    Add libwww-perl and python mock dependencies, so tests can run on ubuntu 12.04
    
    If we let setuptools install mock for us (because it's listed in
    tests_require), "python setup.py test" fails:
    
    running test
    Searching for mock>=1.0
    Best match: mock 1.3.0
    Processing mock-1.3.0-py2.7.egg
    
    Using /tmp/arvados/sdk/python/.eggs/mock-1.3.0-py2.7.egg
    Traceback (most recent call last):
      File "setup.py", line 49, in <module>
        cmdclass={'egg_info': tagger},
    [...]
      File "/tmp/.cache/arvados-build/VENVDIR/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2910, in scan_list
        raise RequirementParseError(msg, line, "at", line[p:])
    pkg_resources.RequirementParseError: Expected version spec in funcsigs;python_version<"3.3" at ;python_version<"3.3
    
    No issue #

diff --git a/jenkins/run-tests.sh b/jenkins/run-tests.sh
index 8e845cb..fd64910 100755
--- a/jenkins/run-tests.sh
+++ b/jenkins/run-tests.sh
@@ -173,7 +173,7 @@ sanity_checks() {
     for mod in ExtUtils::MakeMaker JSON LWP Net::SSL; do
         echo -n "perl $mod: "
         perl -e "use $mod; print \"\$$mod::VERSION\\n\"" \
-            || fatal "No $mod. Try: apt-get install perl-modules libcrypt-ssleay-perl libjson-perl"
+            || fatal "No $mod. Try: apt-get install perl-modules libcrypt-ssleay-perl libjson-perl libwww-perl"
     done
     echo -n 'gitolite: '
     which gitolite \
@@ -392,6 +392,8 @@ setup_virtualenv() {
         virtualenv --setuptools "$@" "$venvdest" || fatal "virtualenv $venvdest failed"
     fi
     "$venvdest/bin/pip" install 'setuptools>=18' 'pip>=7'
+    # ubuntu1204 can't seem to install mock via tests_require, but it can do this.
+    "$venvdest/bin/pip" install 'mock>=1.0'
 }
 
 export PERLINSTALLBASE

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list